# pandas.Series.agg

`Series.``agg`(func, axis=0, *args, **kwargs)

  Aggregate using one or more operations over the specified axis.

  New in version 0.20.0.

  Parameters:

  func : function, str, list or dict

  > Function to use for aggregating the data. If a function, must either work when passed a Series or when passed to Series.apply.

  > Accepted combinations are:

  > - function
  > - string function name
  > - list of functions and/or function names, e.g. `[np.sum, 'mean']`
  > - dict of axis labels -> functions, function names or list of such.

  axis : {0 or ‘index’}

  > Parameter needed for compatibility with DataFrame.

  *args

  > Positional arguments to pass to func.

  **kwargs

  > Keyword arguments to pass to func.

  Returns:

  scalar, Series or DataFrame

  > The return can be:

  > - scalar : when Series.agg is called with single function
  > - Series : when DataFrame.agg is called with a single function
  > - DataFrame : when DataFrame.agg is called with several functions

  > Return scalar, Series or DataFrame.

  See also

  `Series.apply`
    Invoke function on a Series.
  `Series.transform`
    Transform function producing a Series with like indexes.

  Notes

  agg is an alias for aggregate. Use the alias.

  A passed user-defined-function will be passed a Series for evaluation.

  Examples

      >>> s = pd.Series([1, 2, 3, 4])
      >>> s
      0    1
      1    2
      2    3
      3    4
      dtype: int64

      >>> s.agg('min')
      1

      >>> s.agg(['min', 'max'])
      min   1
      max   4
      dtype: int64

Scroll To Top